<script lang="ts">
import Vue from 'vue';

export default Vue.extend({
  name: 'ResourcesHero',
  props: {
    data: {
      type: Object,
      required: true,
      default: null,
    },
  },
});
</script>

<template>
  <section class="sales-hero slp-mb-64">
    <SlpContainer class="slp-h-100">
      <SlpRow class="slp-h-100">
        <SlpColumn
          :cols="7"
          class="slp-flex slp-flex-column slp-justify-content-center"
        >
          <SlpTypography
            tag="h1"
            variant="heading1-bold"
            class="slp-mt-48 slp-mt-md-0 slp-mb-16 slp-mr-64"
            data-aos="zoom-in-up"
            data-aos-duration="500"
            >{{ data.title }}
          </SlpTypography>
        </SlpColumn>
        <div class="sales-hero__image-container">
          <div
            class="sales-hero__image slp-my-32 slp-my-md-64 slp-ml-32 slp-ml-md-64"
            data-aos="zoom-in-up"
            data-aos-duration="1000"
          >
            <nuxt-img
              src="/nuxt-images/solutions/infinity-icon-cropped.svg"
              alt="Image: Infinity"
              loading="lazy"
              format="webp"
              quality="99"
            />
          </div>
        </div>
      </SlpRow>
    </SlpContainer>
  </section>
</template>

<style scoped lang="scss">
.slp-h-100 {
  height: 100%;
}

.sales-hero {
  overflow: hidden;
  position: relative;
  background-color: $color-surface-800;
  z-index: -10;
  height: 30rem;

  @media (min-width: $breakpoint-lg) {
    height: 22rem;
  }

  &__image-container {
    position: absolute;
    z-index: 10;
    left: 0;

    @media (min-width: $breakpoint-md) {
      left: 40%;
    }
  }

  &__image {
    display: flex;
    justify-content: left;
    align-items: center;

    @media (max-width: $breakpoint-md) {
      position: absolute;
      top: 18rem;
    }

    img {
      width: 130vw;

      @media (min-width: $breakpoint-md) {
        width: 69vw;
        min-width: 69vw;
      }

      @media (min-width: $breakpoint-lg) {
        width: 65vw;
        min-width: 65vw;
      }
    }
  }
}
</style>
